<#ibiztemplate>
PUBOBJ=Angular.PSAngularAppCreateAppBat
TARGET=PSSYSAPP
</#ibiztemplate>
<#if pub.isUseWorkshopServer() >
<#comment>脚本执行日志路径。</#comment>
<#assign codefolder="/code">
<#assign toolfolder="/toolfolder">
<#assign outputlog= " > " + codefolder+"/"+sys.getPSDevCenterDomain()+"/"+sys.getPubSystemId()+"/remoteshop/"+sys.getVCName()+"/"+"app_"+app.getPKGCodeName()+"/">

<#assign workshop="workshop">
<#if sys.getPSSVNInstRepo()?? && sys.getPSSVNInstRepo().getSVNType() =="GIT">
<#assign workshop="gitshop">
</#if>
<#assign ibizsys_base_file = '${app.getPFType()}'>
<#if pfstyle.getVersionString()?? && (pfstyle.getVersionString()!='')>
<#assign ibizsys_base_file=ibizsys_base_file+'-'+pfstyle.getVersionString() >
</#if>
<#comment>关闭回显并开启变量延迟
# @echo off&setlocal ENABLEDELAYEDEXPANSION

#  ---------------------------------------------------------------------------
#    publisher		前端应用发布器PSJQAppCreateAppBatPublisherImpl 
#    app			前端应用
#    sys			后台服务系统
#    pf			前端应用技术体系
#    pfstyle		前端应用样式
#    apptempl		应用模板
#    toolfolder	发布工具目录路径
#    codefolder	发布代码根目录路径 
#  ---------------------------------------------------------------------------
</#comment>
<#comment>  建立前端应用相关工作空间目录</#comment>
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/src
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_usr
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_usr/src


<#comment>删除重命名文件*.rename</#comment>
find ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/ -name *.rename | xargs --no-run-if-empty rm -f
<#if !publisher.getContext().isRebuildMode()>
<#comment>  标准模式</#comment>
</#if>
<#if publisher.getContext().isRebuildMode()>
<#comment>  重构模式</#comment>
<#if sys.getPSSVNInstRepo()??>
\cp -p -rf ${toolfolder}/APP/${ibizsys_base_file}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/
</#if>
<#comment>  拷贝自动发布代码到pub项目</#comment>
\cp -p -rf ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/WEB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/src 
\cp -p -rf ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/src ${outputlog}run16.log
\cp -p -rf ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/PRJ/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/
<#comment>  拷贝用户自定义文件到pub项目</#comment>
if [ -d ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB ]
then
\cp -p -rf ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/src 
fi
<#comment> 将合成开发运行项目脚本拷贝至pub项目</#comment>
\cp -p -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/TOOLS/AngularMerge.bat ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/

<#comment>删除重命名文件*.rename</#comment>
find ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/  -name *.rename | xargs --no-run-if-empty rm -f
find ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_usr/  -name *.rename | xargs --no-run-if-empty rm -f
<#else>
<#comment>  标准发布</#comment>
<#comment>  增量拷贝初始文件</#comment>
<#if sys.getPSSVNInstRepo()??>
\cp -p -r -u ${toolfolder}/APP/${ibizsys_base_file}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/
</#if>
<#comment>  拷贝自动发布代码到pub项目</#comment>
\cp -p -r -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/WEB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/src
\cp -p -r -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/src
\cp -p -r -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/PRJ/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/ ${outputlog}run36.log
<#comment>  拷贝用户自定义文件到pub项目</#comment>
if [ -d ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB ]
then
\cp -p -r -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/src
fi

<#comment> 将合成开发运行项目脚本拷贝至pub项目</#comment>
\cp -p -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/TOOLS/AngularMerge.bat ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/

<#comment>删除重命名文件*.rename</#comment>
find ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/  -name *.rename | xargs --no-run-if-empty rm -f
find ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_usr/  -name *.rename | xargs --no-run-if-empty rm -f
</#if>
<#comment>  如果指定了版本库，将pub和usr代码与版本库同步</#comment>
<#if sys.getPSSVNInstRepo().getSVNType()=="GIT">
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizgit.sh app_${app.getPKGCodeName()}_pub
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizgit.sh app_${app.getPKGCodeName()}_usr
<#elseif sys.getPSSVNInstRepo().getSVNType()=="SVN">
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizsvn.sh app_${app.getPKGCodeName()}_pub pub
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizsvn.sh app_${app.getPKGCodeName()}_usr usr
if [ -d ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_pub/.svn ]
then
echo BUILD SUCCESS
echo BUILD SUCCESS
fi
if [ -d ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}_usr/.svn ]
then
echo BUILD SUCCESS
echo BUILD SUCCESS
fi
</#if>
</#if>